Bug 150939 - [PATCH] deskutils/recoll update to 1.14.2 and move to qt4
Summary: [PATCH] deskutils/recoll update to 1.14.2 and move to qt4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-25 16:40 UTC by Jean-Francois Dockes
Modified: 2010-10-09 19:00 UTC (History)
0 users

See Also:


Attachments
file.diff (473 bytes, patch)
2010-09-25 16:40 UTC, Jean-Francois Dockes
no flags Details | Diff
file.diff (3.75 KB, patch)
2010-09-25 16:40 UTC, Jean-Francois Dockes
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Francois Dockes 2010-09-25 16:40:01 UTC
	Move port to qt4 and update to new recoll release 1.14.2

Fix: See patch.
Please remove file files/patch-xapian12 (unneeded empty file remains after
the patch)

PORTNAME=	recoll
-PORTVERSION=	1.13.04
-PORTREVISION=	1
+PORTVERSION=	1.14.2
 CATEGORIES=	deskutils
 MASTER_SITES=	http://www.lesbonscomptes.com/recoll/

 MAINTAINER=	jf@dockes.org
 COMMENT=	A personal full text search package, based on QT and Xapian

-BUILD_DEPENDS=	qmake:${PORTSDIR}/devel/qmake
-LIB_DEPENDS=	xapian.[1-2][0-9]:${PORTSDIR}/databases/xapian-core \
-		qt-mt.3:${PORTSDIR}/x11-toolkits/qt33
-
-USE_QT_VER=	3
-CONFIGURE_ENV=	QMAKESPEC="freebsd-g++"
-MAKE_ENV=	${CONFIGURE_ENV}
+LIB_DEPENDS=	xapian.[1-2][0-9]:${PORTSDIR}/databases/xapian-core
+
+USE_QT_VER=	4
+QT_COMPONENTS=  gui qmake_build uic_build moc_build rcc_build \
+		qt3support uic3_build porting
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 USE_ICONV=	yes
Comment 1 Edwin Groothuis freebsd_committer 2010-09-25 16:40:11 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-09-25 16:40:14 UTC
Maintainer of deskutils/recoll,

Please note that PR ports/150939 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150939

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-09-25 16:40:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Jean-Francois Dockes 2010-09-25 16:56:54 UTC
Edwin Groothuis writes:
 > Maintainer of deskutils/recoll,
 > 
 > Please note that PR ports/150939 has just been submitted.
 > 
 > If it contains a patch for an upgrade, an enhancement or a bug fix
 > you agree on, reply to this email stating that you approve the patch
 > and a committer will take care of it.
 > 
 > The full text of the PR can be found at:
 >     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150939

Approved: patch is from maintainer (me). Having trouble with my isp
(rejects message as spam), so sent from gmail.

jfd
Comment 5 Max Brazhnikov freebsd_committer 2010-09-30 19:53:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 6 Max Brazhnikov freebsd_committer 2010-10-01 22:59:35 UTC
State Changed
From-To: feedback->open

Submitter is maintainer.
Comment 7 dfilter service freebsd_committer 2010-10-09 18:52:48 UTC
makc        2010-10-09 17:52:42 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/recoll     Makefile distinfo pkg-plist 
  Added files:
    deskutils/recoll/files patch-configure 
  Removed files:
    deskutils/recoll/files patch-xapian12 
  Log:
  Update to 1.14.2
  Switch to Qt4 GUI
  
  PR:             ports/150939
  Submitted by:   Jean-Francois Dockes (maintainer)
  
  Revision  Changes    Path
  1.44      +6 -9      ports/deskutils/recoll/Makefile
  1.25      +3 -3      ports/deskutils/recoll/distinfo
  1.1       +24 -0     ports/deskutils/recoll/files/patch-configure (new)
  1.2       +0 -35     ports/deskutils/recoll/files/patch-xapian12 (dead)
  1.16      +5 -0      ports/deskutils/recoll/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Max Brazhnikov freebsd_committer 2010-10-09 18:53:04 UTC
State Changed
From-To: open->closed

Committed. Thanks!